Subject: [PATCH 05/21] ARM: OMAP2+: add dependencies on ARCH_MULTI_V6/V7

From: [email-masked] (Arnd Bergmann)
Date: Tue, 23 Apr 2013 21:31:07 +0200

On Tuesday 23 April 2013, Tony Lindgren wrote:
> * Arnd Bergmann <[email-masked]> [130423 09:36]:
> > CONFIG_ARCH_OMAP2PLUS depends on (ARCH_MULTI_V6 || ARCH_MULTI_V7) as of
> > a0694861 "ARM: OMAP2+: Enable ARCH_MULTIPLATFORM support", but the
> > individual OMAP2/3/4/5 and AM33XX platforms can all be selected independent
> > of what we are building for, which is a bug and prevents us from easily
> > building e.g. an ARMv7-only defconfig.
> > 
> > This makes ARCH_OMAP2 depend on ARCH_MULTI_V6 and the others depend on
> > ARCH_MULTI_V7, to ensure we really only build the platforms for the
> > CPUs we have enabled in the global multiplatform configuration step.
> > 
> > Signed-off-by: Arnd Bergmann <[email-masked]>
> > Cc: Ezequiel Garcia <[email-masked]>
> 
> Acked-by: Tony Lindgren <[email-masked]>
> 
Thanks, I've now applied it to the next/fixes-non-critical branch.

	Arnd